summaryrefslogtreecommitdiffstats
path: root/system/graveman
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 15:18:38 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:38 +0200
commitcaa6dddf21450de17b391bddcadeba61e852431c (patch)
treec67cf89354ccd0ceee2cc811b92d4959e10179ac /system/graveman
parentb0ecc439edc1bb9daa83e664203420e685227856 (diff)
downloadslackbuilds-caa6dddf21450de17b391bddcadeba61e852431c.tar.gz
slackbuilds-caa6dddf21450de17b391bddcadeba61e852431c.tar.xz
system/graveman: Initial import
Diffstat (limited to 'system/graveman')
-rw-r--r--system/graveman/README10
-rw-r--r--system/graveman/doinst.sh3
-rw-r--r--system/graveman/graveman.SlackBuild77
-rw-r--r--system/graveman/graveman.info8
-rw-r--r--system/graveman/slack-desc11
5 files changed, 109 insertions, 0 deletions
diff --git a/system/graveman/README b/system/graveman/README
new file mode 100644
index 0000000000..1d183ba659
--- /dev/null
+++ b/system/graveman/README
@@ -0,0 +1,10 @@
+Graveman is a GTK2 front end to cdrecord, mkisofs, readcd, sox,
+flac, dvd+rw-tools, and cdrdao. Graveman can burn audio cds
+from ogg, mp3, and flac, and can burn data cds and dvds, copy
+on the fly, clean rewritable cds and dvds, and duplicate cds.
+
+This SlackBuild assumes one has installed the following packages from
+the standard Slackware installation CD's: gtk+, glib, libglade,
+libid3tag, libmad, libogg, libvorbis, cdrtools, dvd+rw-tools, sox,
+libflac, cdrdao, and libmng.
+
diff --git a/system/graveman/doinst.sh b/system/graveman/doinst.sh
new file mode 100644
index 0000000000..98d466d8b9
--- /dev/null
+++ b/system/graveman/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/graveman/graveman.SlackBuild b/system/graveman/graveman.SlackBuild
new file mode 100644
index 0000000000..cadc1bbca2
--- /dev/null
+++ b/system/graveman/graveman.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for Graveman
+
+# Written by Chess Griffin <chess at chessgriffin dot com>
+
+# Note: the developer's source code version is numbered
+# with a dash at the end, e.g. 0.3.12-5, which can throw
+# off the package building process. This SlackBuild fixes
+# the problem by using a SRCVER variable for the source
+# version and a VERSION variable for the local version.
+# Essentially, this changes the dash to a period.
+# Be sure to change both variables accordingly when used
+# with a new version of Graveman. Thanks to Eric Hameleers
+# for the fix.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=graveman
+SRCVER=0.3.12-5 # this is the developer's source version
+VERSION=0.3.12.5 # this is local version
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exi t1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$SRCVER.tar.gz || exit 1
+cd $PRGNAM-$SRCVER || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Fix path to icon in .desktop file
+sed -i s#'Icon=graveman48.png'#'Icon=/usr/share/pixmaps/graveman48.png'# \
+ $PKG/usr/share/applications/graveman.desktop || exit 1
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING Changelog NEWS README* THANKS TRANSLATE-HOWTO.fr \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/graveman/graveman.info b/system/graveman/graveman.info
new file mode 100644
index 0000000000..974c10bb6a
--- /dev/null
+++ b/system/graveman/graveman.info
@@ -0,0 +1,8 @@
+PRGNAM="graveman"
+VERSION="0.3.12-5"
+HOMEPAGE="http://graveman.tuxfamily.org/"
+DOWNLOAD="http://graveman.tuxfamily.org/sources/graveman-0.3.12-5.tar.gz"
+MD5SUM="94183b71f345e405badcdf92ea04dfac"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="robw810"
diff --git a/system/graveman/slack-desc b/system/graveman/slack-desc
new file mode 100644
index 0000000000..b45b01c8ce
--- /dev/null
+++ b/system/graveman/slack-desc
@@ -0,0 +1,11 @@
+graveman: Graveman CD and DVD burning application
+graveman:
+graveman: Graveman is a GTK2 front end to cdrecord, mkisofs, readcd, sox,
+graveman: flac, dvd+rw-tools, and cdrdao. Graveman can burn audio cds
+graveman: from ogg, mp3, and flac, and can burn data cds and dvds, copy
+graveman: on the fly, clean rewritable cds and dvds, and duplicate cds.
+graveman:
+graveman: Homepage: http://graveman.tuxfamily.org
+graveman:
+graveman:
+graveman: